Remove roles from a permission

Remove roles from a permission

delete
Path parameters
permissionIdstringRequired

The id of the permission.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the request data transfer object for adding or removing roles to a permission.

roleIdsstring[]Required

The list of role ids.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
delete
/api/v1/permissions/{permissionId}/roles

Last updated